package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"userdefined", "name", "ispersistent", "isnull", "description", "defaultvalue", "datatype"}
)
@XmlRootElement(
   name = "WORKFLOWVARIABLE"
)
public class WORKFLOWVARIABLE {
   @XmlAttribute(
      name = "NAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String name;
   @XmlAttribute(
      name = "DESCRIPTION"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String description;
   @XmlAttribute(
      name = "USERDEFINED",
      required = true
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String userdefined;
   @XmlAttribute(
      name = "DATATYPE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String datatype;
   @XmlAttribute(
      name = "DEFAULTVALUE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String defaultvalue;
   @XmlAttribute(
      name = "ISPERSISTENT"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String ispersistent;
   @XmlAttribute(
      name = "ISNULL"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isnull;

   public String getNAME() {
      return this.name;
   }

   public void setNAME(String value) {
      this.name = value;
   }

   public String getDESCRIPTION() {
      return this.description;
   }

   public void setDESCRIPTION(String value) {
      this.description = value;
   }

   public String getUSERDEFINED() {
      return this.userdefined;
   }

   public void setUSERDEFINED(String value) {
      this.userdefined = value;
   }

   public String getDATATYPE() {
      return this.datatype;
   }

   public void setDATATYPE(String value) {
      this.datatype = value;
   }

   public String getDEFAULTVALUE() {
      return this.defaultvalue;
   }

   public void setDEFAULTVALUE(String value) {
      this.defaultvalue = value;
   }

   public String getISPERSISTENT() {
      return this.ispersistent;
   }

   public void setISPERSISTENT(String value) {
      this.ispersistent = value;
   }

   public String getISNULL() {
      return this.isnull;
   }

   public void setISNULL(String value) {
      this.isnull = value;
   }
}
